/*
** Module   : WebClientMessageTypes.java
** Abstract : defines the message header type code for all possible web client protocol messages
**
** Copyright (c) 2014-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ------------------------------Description----------------------------------
** 001 GES 20150317 Copied from ChuiWebSimulator for shared usage.
*/

package com.goldencode.p2j.ui.client.driver.web;

/**
 * Defines the message header type code for all possible web client protocol messages.
 */
public interface WebClientMessageTypes
{
   /** Progress compatible keyboard message. */
   public static final byte MSG_KEY           = (byte) 0x01;

   /** Virtual VT100 terminal keyboard message. */
   public static final byte MSG_KEY_VT100     = (byte) 0x02;

   /** Paste message. */
   public static final byte MSG_PASTE         = (byte) 0x03;

   /** Clear screen message. */
   public static final byte MSG_CLEAR         = (byte) 0x80;

   /** Draw text on screen. */
   public static final byte MSG_DRAW          = (byte) 0x81;
   
   /** Set cursor position. */
   public static final byte MSG_CURSOR_POS    = (byte) 0x82;
   
   /** Set cursor status. */
   public static final byte MSG_CURSOR_STATUS = (byte) 0x83;
   
   /** Beep message. */
   public static final byte MSG_BEEP          = (byte) 0x84;
   
   /** Quit message. */
   public static final byte MSG_QUIT          = (byte) 0x85;

   /** Switch input processing to virtual VT100 terminal mode. */
   public static final byte MSG_VT100         = (byte) 0x86;
}
